<?php

date_default_timezone_set( 'America/Detroit' );

$loglocal = 1; // Set to 1 to record or 0 to not record local addresses as hits

// If this is a local network address, it will not be logged
$pattern = "/^192.168./";
// preg_match returns 1 if matched, 0 if not matched
$mtch = preg_match ( $pattern, $_SERVER['REMOTE_ADDR'] );

// If this is a localhost address, it will not be logged
if ( $mtch == 0 ) {
	$pattern2 = "/^127.0.0/";
	$mtch = preg_match ( $pattern2, $_SERVER['REMOTE_ADDR'] );
}

// Open Hit Counter
if ( $fp = fopen ( 'count.txt', 'r' ) ) {
	$count = fread ( $fp, 1024 );
	fclose ( $fp );
} else { $count = 0; }

$num = $count;

if ( $loglocal == 1 ) { $mtch = 0; }

if ( $mtch == 0 ) {
	// Increment Hit Counter Data File
	$count = $count + 1;
	$fp = fopen ( 'count.txt', 'w' );
	fwrite ( $fp, $count );
	fclose ( $fp );
	$num = $count;
}

/////////////////////////////////////////////////////////
/////////////Abyss web server specs script///////////////
///////Contact server@monkeynation.net for support///////
/////////////////////////////////////////////////////////

// If uptime doesn't work on your version of Windows, then find a file that gets its modified
// time set when the computer is turned on

//$pagefile = "C:\windows\Ndislog.txt"; // For Windows XP, it's "c:\pagefile.sys";
$pagefile = 'C:\\hiberfil.sys'; // For Windows 98, it's "C:\windows\Ndislog.txt";

$im = imagecreatefromjpeg ( 'info.jpg' ); // Input Image
$txtcolor = imagecolorallocate ( $im, 204, 153, 0 ); // Text Color

header ( 'Content-type: image/gif' );
header ( 'Cache-Control: no-cache' );

// Calculate Uptime
// $uptime = ( time() - filemtime ( $pagefile ) ); // This doesn't seem to work reliably
$uptime = $_SERVER['X_ABYSS_STATS_SERVER_CURRENT_UPTIME'];
$updays = floor ( $uptime / ( 24*3600 ) );
$uptime = $uptime - ( $updays * ( 24*3600 ) );
$uphours = floor ( $uptime / ( 3600 ) );
$uptime = $uptime - ( $uphours * ( 3600 ) );
$upminutes = floor ( $uptime / ( 60 ) );
$uptime = $uptime - ( $upminutes * 60 );
$upsecs = $uptime;

// Get Net Stats
// You could use Abyss' stats here instead if you wish
$line = explode ( "\n", `netstat -e` );
$line = explode ( ' ', $line[4] );
$cnt = 0;
for ( $i=0; $i < count ( $line ); $i++ ) {
	if ( $line[$i] == '' ) continue;
	if ( $cnt == 0 ) $text = ucfirst ( $line[$i] );
	elseif ( $cnt == 1 ) $rec = $line[$i];
	elseif ( $cnt == 2 ) $sent = $line[$i];             
	$cnt++;
}

// To use Abyss' data amount (sent data only), uncomment the next line (this is persistent output, not since last restart)
// $sent = $_SERVER['X_ABYSS_STATS_SERVER_COMPRESS_OUTPUT'];

if ( $rec === FALSE ) { $totalrec = '[Error]'; }
else {
	if ( $rec < 1073741824 ) { $totalrec  = round ( $rec / 1048576, 1 ) . ' MB'; }
	else { $totalrec  = round ( $rec / 1073741824, 3 ) . ' GB'; }
}
if ( $sent === FALSE ) { $totalsend = '[Error]'; }
else {
	if ( $sent < 1073741824 ) { $totalsend = round ( $sent / 1048576, 1 ) . ' MB'; }
	else { $totalsend = round ( $sent / 1073741824, 3 ) . ' GB'; }
}

$date_time = date ( "l, F j, Y - g:i:sA" ) . ' EST';

// Generate the message
$message1 = "{$date_time}\n";
$message2 = "Uptime: {$updays} days, {$uphours} hrs, {$upminutes} min, {$upsecs} sec\n";
$message3 = "Network: Rec: {$totalrec}   Sent: {$totalsend}\n";
$message4 = "Your IP:";

$IPadd = $_SERVER['REMOTE_ADDR'];

$hits = "Hits:"; //$count";
$hitnum = $count;
$since = "since 1/17/21";

////////////////////

// If you place these fonts in a different folder than the script, you'll need to adjust the path below

imagettftext ( $im, 10, 0,  15, 38, $txtcolor, 'Teen.ttf', $message1 );
imagettftext ( $im, 10, 0,  15, 54, $txtcolor, 'Teen.ttf', $message2 );
imagettftext ( $im, 10, 0,  15, 71, $txtcolor, 'Teen.ttf', $message3 );
imagettftext ( $im, 10, 0,  15, 88, $txtcolor, 'Teen.ttf', $message4 );

imagettftext ( $im,  9, 0,  62, 88, $txtcolor, 'CharriotDeluxe.ttf', $IPadd );
imagettftext ( $im, 10, 0, 153, 88, $txtcolor, 'Teen.ttf', $hits );
imagettftext ( $im,  9, 0, 185, 88, $txtcolor, 'CharriotDeluxe.ttf', $hitnum );
imagettftext ( $im,  8, 0, 214, 88, $txtcolor, 'Teen.ttf', $since );
// image name, font size, angle, dist from top, dist from left, COLOR, font, TEXT, extra info

// Print the image to the browser
imagegif ( $im );
imagedestroy ( $im );
?>